org.bouncycastle.asn1.cmp

## Class CertOrEncCert

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.CertOrEncCert

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class CertOrEncCert
    extends ASN1Encodable
    implements ASN1Choice

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`CMPCertificate` `getCertificate()`
`EncryptedValue` `getEncryptedCert()`
`static CertOrEncCert` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` CertOrEncCert ::= CHOICE { certificate [0] CMPCertificate, encryptedCert [1] EncryptedValue }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CertOrEncCert getInstance(java.lang.Object o)

#### getCertificate

    public CMPCertificate getCertificate()

#### getEncryptedCert

    public EncryptedValue getEncryptedCert()

#### toASN1Object

    public DERObject toASN1Object()

     CertOrEncCert ::= CHOICE {
                          certificate     [0] CMPCertificate,
                          encryptedCert   [1] EncryptedValue
               }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.